Comment 3 for bug 1597517

Acid (guillaume-onlineacid) wrote :

Hi,

- I confirm the above issue in our production servers which are configured to update their packages only from a local mirror of the security pocket with unattended-upgrades. They cannot upgrade the linux kernel to version 3.2.0-105 because the linux-headers-3.2.0-105 package is missing in the security pocket.

- Usually, the kernel upgrades work well with our local mirror of the security pocket with unattended-upgrades.

- Aptitude also report this error :

[root@######## ~]# aptitude dist-upgrade
The following NEW packages will be installed:
  linux-headers-3.2.0-105-generic{ab} linux-image-3.2.0-105-generic
The following packages will be upgraded:
  linux-generic linux-headers-generic linux-image-generic
3 packages upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 39.8 MB of archives. After unpacking 162 MB will be used.
The following packages have unmet dependencies:
 linux-headers-3.2.0-105-generic : Depends: linux-headers-3.2.0-105 which is a virtual package.
The following actions will resolve these dependencies:

     Remove the following packages:
1) linux-generic
2) linux-headers-generic

     Keep the following packages at their current version:
3) linux-headers-3.2.0-105-generic [Not Installed]

Accept this solution? [Y/n/q/?] q
Abandoning all efforts to resolve these dependencies.
Abort.

- Finally, we also cannot install any new server (preseed) because of this missing dependancy.